Create Advertiser Attributes Snapshot

📘

URL: POST/api/v1/snapshot/insight

Request Parameters

ParameterDescriptionTypeRequiredPossible Values
insightTypeThe type of insight report requestedstringYadvertiserAttributes, advertiserAttributesV2
formatFormat of the downloadable filestringYzip, gzip

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
WM_CONSUMER.IDWe will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATUREAuth signature as an API key.YUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONWe will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value
Content-TypeFormat of the message bodyYapplication/json

Sample Request 1

curl -X POST \ 'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/snapshot/insight' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "insightType": "advertiserAttributes", "format": "zip" }' 

Sample Request 2

curl -X POST \ 'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/snapshot/insight' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "insightType": "advertiserAttributesV2", "format": "zip" }' 

Response

ElementDescriptionType
codeThe response code can have following values:   success, failurestring
detailsDetails of the error if value of response code is failurestring
snapshotIdID of the snapshotstring
jobStatusIt is an indicator to confirm status of snapshot generation.
The possible values of jobStatus are: pending, processing, done, failed, expired
string

Sample Response 1

{ "code": "success", "snapshotId": "1", "details": "", "jobStatus": "pending"
}

Sample Response 2

{ "code": "success", "snapshotId": "2", "details": "", "jobStatus": "pending"
}